Bug 1268307 - At the end of auto attach, the Back button does nothing
Summary: At the end of auto attach, the Back button does nothing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: rc
: ---
Assignee: William Poteat
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-02 13:31 UTC by Sean Toner
Modified: 2016-11-03 20:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:27:31 UTC
Target Upstream Version:


Attachments (Terms of Use)
The dialog box where the Back button does nothing (621.22 KB, image/png)
2015-10-02 13:33 UTC, Sean Toner
no flags Details
back_button (250.19 KB, image/png)
2016-07-19 09:44 UTC, Rehana
no flags Details
Back button is still enabled (282.70 KB, image/png)
2016-07-19 12:44 UTC, Shwetha Kallesh
no flags Details
Back button is still enabled (282.70 KB, image/png)
2016-07-21 14:26 UTC, Shwetha Kallesh
no flags Details
Back button disabled on Subscription Attachment workflow initiated by clicking Auto-attach (47.67 KB, image/png)
2016-07-21 18:43 UTC, John Sefler
no flags Details
Button is disabled for first panel of auto-attach (226.17 KB, image/png)
2016-07-22 05:28 UTC, Shwetha Kallesh
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2592 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2016-11-03 12:10:42 UTC

Description Sean Toner 2015-10-02 13:31:05 UTC
Description of problem:
=======================

When a user is performing an Auto Attach, in the dialog to configm subscription attachment there is an Attach and Back button.  The Back button does nothing and could be confusing to users. 


Version-Release number of selected component (if applicable):
=============================================================

[root@rh72-stoner-snap4 ~]# rpm -qa | grep subscription
subscription-manager-1.15.9-13.el7.x86_64
subscription-manager-gui-1.15.9-13.el7.x86_64
subscription-manager-initial-setup-addon-1.15.9-13.el7.x86_64


How reproducible:
=================

Always


Steps to Reproduce:
===================
1. Register a system (check the button to manually attach)
2. Click the Auto Attach button on the My Installed Products tab
3. In the subscription Attachment dialog, click the Back button


Actual results:
===============

Back button does nothing


Expected results:
=================

The Back button should probably not be displayed


Additional info:

Comment 1 Sean Toner 2015-10-02 13:33:51 UTC
Created attachment 1079437 [details]
The dialog box where the Back button does nothing

Comment 3 John Sefler 2015-10-02 14:46:26 UTC
deferring to rhel-7.3.0 due to severity and time schedule remaining for rhel-7.2.0

Comment 4 Adrian Likins 2015-10-02 19:46:10 UTC
Another variation of this:

If user clicks 'Auto attach', and only one SLA applies, they will
go immediately to 'Confirm Subscriptions', so it will then be the
first screen (and back will still be available).

Comment 7 Chris Snyder 2016-07-08 21:33:43 UTC
Correction Master Commit:

ea587429b223b554eefce0001ac722afd442e59a

Please ignore comment 6

Comment 9 Rehana 2016-07-19 09:43:03 UTC
Retested on ;
subscription-manager: 1.17.9-1.el7
python-rhsm: 1.17.5-1.el7


Observed that now the "back" button is disabled on the "confirm subscriptions" window ( PFA) 

Marking verified!!

Comment 10 Rehana 2016-07-19 09:44:21 UTC
Created attachment 1181539 [details]
back_button

Comment 11 Shwetha Kallesh 2016-07-19 12:44:08 UTC
Created attachment 1181619 [details]
Back button is still enabled

The button is still not disabled , hence moving bug to failed_qa
Need to wait for a minute for to see button enabled

-bash-4.2# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.51.15-1
subscription management rules: 5.15.1
subscription-manager: 1.17.9-1.el7
python-rhsm: 1.17.5-1.el7

Comment 12 William Poteat 2016-07-19 19:47:09 UTC
Not available until 1.17.9. Please check against this version.

Comment 13 William Poteat 2016-07-20 11:39:22 UTC
Sorry, comment #9 is wrong, I read the wrong version listing.

I looked at the scenarios, but I did not see the button show any time there was not a back option.

Please detail the steps you followed and what RHEL you were using.

Comment 14 Shwetha Kallesh 2016-07-21 14:26:58 UTC
Created attachment 1182538 [details]
Back button is still enabled

I am testing on RHEl7.3, with version 1.17.9-1.el7

I still see the back button , enabled and was able to go back upon clicking the back button . attached is the screen shot for the same

Comment 15 Shwetha Kallesh 2016-07-21 14:30:21 UTC
Forgot to add Steps:

Click Register button ----> enter server details ----> enter credentials ---> uncheck "Manually attach subscriptions" check box -----> if the multiple SLA are applicable , select one SLA ---> Subscription to be attached shows up and I see the back button enabled there

Comment 16 John Sefler 2016-07-21 18:43:43 UTC
Created attachment 1182646 [details]
Back button disabled on Subscription Attachment workflow initiated by clicking Auto-attach

(In reply to Shwetha Kallesh from comment #15)
> Forgot to add Steps:
> 
> Click Register button ----> enter server details ----> enter credentials
> ---> uncheck "Manually attach subscriptions" check box -----> if the
> multiple SLA are applicable , select one SLA ---> Subscription to be
> attached shows up and I see the back button enabled there

This observation is expected because this is a different use-case scenario.  When subscription-manager-gui is started on an unregistered system and the user follows Shwetha's steps and arrives at the "Subscription Attachment" dialog as part of the work flow that began with clicking Register, the Back button should be enbaled.  This is working in 1.17.9-1


The use-case scenario that was reported in comment 0 of this bug begins with a system that has already been registered.  Then the user follows the steps...

Click Auto-attach button ----> if the multiple SLA are applicable a "Subscription Attachment" dialog opens asking the user to select one SLA ---> On this dialog the Back button should be disabled (as shown/verified in attachment 1181539 [details] and the attachment for this comment)

Comment 18 Shwetha Kallesh 2016-07-22 05:28:42 UTC
Created attachment 1182704 [details]
Button is disabled for first panel of auto-attach

Marking bug as verified!!

[root@dhcp35-212 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.51.15-1
subscription management rules: 5.15.1
subscription-manager: 1.17.9-1.el7
python-rhsm: 1.17.5-1.el7

Comment 20 errata-xmlrpc 2016-11-03 20:27:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html


Note You need to log in before you can comment on or make changes to this bug.